Name:          efficientnet
Version:       1.1.1
Release:       1%{?dist}
Summary:       Implementation of EfficientNet model. Keras and TensorFlow Keras.
License:       Apache-2.0
URL:           https://github.com/qubvel/efficientnet
Source0:       %url/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildArch:     noarch
BuildRequires: python3-devel
BuildRequires: python3-scikit-image
BuildRequires: python3-setuptools

%description
This repository contains a Keras (and TensorFlow Keras) reimplementation
of EfficientNet, a lightweight convolutional neural network architecture
achieving the state-of-the-art accuracy with an order of magnitude fewer
parameters and FLOPS, on both ImageNet and five other commonly used
transfer learning datasets.

The codebase is heavily inspired by the TensorFlow implementation.

%prep
%autosetup -p1
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files efficientnet

%files -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Tue Sep 05 2023 Peter Robinson <pbrobinson@fedoraproject.org> - 1.1.1-1
- Initial package
